Subject: bug#53542: closed (Re: bug#53542: [PATCH] gnu: i3-wm: Update to 4.20.1)

From: [email-masked] (GNU bug Tracking System)
Date: Mon, 31 Jan 2022 23:27:02 +0000

Your bug report

#53542: [PATCH] gnu: i3-wm: Update to 4.20.1

which was filed against the guix-patches package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
53542: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=53542
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#53542: [PATCH] gnu: i3-wm: Update to 4.20.1
From: Ludovic Courtès <[email-masked]>
To: Yusuf Talha <[email-masked]>
Cc: [email-masked]
Date: Tue, 01 Feb 2022 00:26:30 +0100
List-Id: <debbugs-submit.debbugs.gnu.org>

Hello,

Yusuf Talha <[email-masked]> skribis:

> Hello.  This is my very first patch for Guix.  I hope it is acceptable.
>
> diff --git a/gnu/packages/wm.scm b/gnu/packages/wm.scm
> index 9549b073cf..6c0f16cfb8 100644
> --- a/gnu/packages/wm.scm
> +++ b/gnu/packages/wm.scm
> @@ -290,23 +290,18 @@ (define-public i3status
>  (define-public i3-wm
>    (package
>      (name "i3-wm")
> -    (version "4.18.3")
> +    (version "4.20.1")

I added a commit log and applied on your behalf.

For future patches, please take a look at
<https://guix.gnu.org/manual/devel/en/html_node/Submitting-Patches.html>,
in particular regarding the use of ‘git send-email’.

Thank you, and welcome!  :-)

Ludo’.

Subject: [PATCH] gnu: i3-wm: Update to 4.20.1
From: Yusuf Talha <[email-masked]>
To: [email-masked]
Date: Wed, 26 Jan 2022 04:53:50 +0100 (CET)
List-Id: <debbugs-submit.debbugs.gnu.org>

Hello.  This is my very first patch for Guix.  I hope it is acceptable.

diff --git a/gnu/packages/wm.scm b/gnu/packages/wm.scm
index 9549b073cf..6c0f16cfb8 100644
--- a/gnu/packages/wm.scm
+++ b/gnu/packages/wm.scm
@@ -290,23 +290,18 @@ (define-public i3status
 (define-public i3-wm
   (package
     (name "i3-wm")
-    (version "4.18.3")
+    (version "4.20.1")
     (source (origin
               (method url-fetch)
               (uri (string-append "https://i3wm.org/downloads/i3-"
-                                  version ".tar.bz2"))
+                                  version ".tar.xz"))
               (sha256
                (base32
-                "03dijnwv2n8ak9jq59fhq0rc80m5wjc9d54fslqaivnnz81pkbjk"))))
-    (build-system gnu-build-system)
+                "1rpwdgykcvmrmdz244f0wm7446ih1dcw8rlc1hm1c7cc42pyrq93"))))
+    (build-system meson-build-system)
     (arguments
-     `(#:configure-flags
-       ;; The build system tries to build in a separate directory, but that
-       ;; seems to be unnecessary.
-       (list "--disable-builddir")
-
+     `(#:tests? #f
        ;; The test suite requires the unpackaged Xephyr X server.
-       #:tests? #f
        #:phases
        (modify-phases %standard-phases
          (add-after 'install 'patch-session-file